## Reformating
#execute as @e[type=marker,tag=start_room] run data modify entity @s Tags set value ["room", "root", "clear_run"]
#execute as @e[type=marker,tag=room_marker] run data modify entity @s Tags set value ["room", "clear_run"]
#execute as @e[type=marker,tag=corridor_marker] run data modify entity @s Tags set value ["corridor", "clear_run"]
#execute as @e[type=armor_stand,tag=room_stand] run data modify entity @s Tags set value ["room"]
#execute as @e[type=armor_stand,tag=corridor_stand] run data modify entity @s Tags set value ["corridor"]
#execute as @e[type=item_display,tag=floor_entity] run data modify entity @s Tags set value ["pitfall", "clear_run"]
#execute as @e[type=marker,tag=item] run data modify entity @s Tags set value ["item", "clear_run"]
#execute as @e[type=marker,tag=exit] run data modify entity @s Tags set value ["exit", "clear_run"]

## Hub
kill @e[type=!player]
summon minecraft:item_display .5 20 -2.5 {Tags:["door_darkness"], Rotation:[0.0f,-90.0f], item:{id:"minecraft:black_stained_glass", components:{"minecraft:item_model":"bungeon:entity/darkness"}}, transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,-3f,1.75f],scale:[3f,3f,3.5f]}}

## Tutorial
summon minecraft:item_display .5 27 -13.5 {Tags:["tutorial_door0"], teleport_duration:20, item:{id:"iron_ingot", components:{item_model:"bungeon:entity/door"}},item_display:"head"}
summon minecraft:item_display .5 27 -4.5 {Tags:["tutorial_door1"], teleport_duration:20, item:{id:"iron_ingot", components:{item_model:"bungeon:entity/door"}},item_display:"head"}
summon minecraft:item_display .5 36 -17.5 {Tags:["tutorial_darkness"], Rotation:[0f,180f], item:{id:"minecraft:black_stained_glass",components:{item_model:"bungeon:entity/darkness"}}, item_display:"head", transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[3f,6f,3f]}}

summon minecraft:item_display .5 28 -10.5 {Tags:["tutorial_sword"], teleport_duration:1, item_display:"head", item:{id:"minecraft:iron_ingot",components:{item_model:"bungeon:sword"}}, transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,-.5f,0f],scale:[1f,1f,1f]}}
summon minecraft:interaction .5 27.6 -10.5 {Tags:["tutorial_sword"], width:.3f, height:.7f}

summon minecraft:interaction .5 28 .5 {Tags:["tutorial_upgrade"], width:.7, height:.9}
summon item_display .5 28 .5 {Tags:["tutorial_upgrade"], billboard:"vertical", item_display:"head", brightness:{block:12,sky:0}, item:{id:"iron_ingot", components:{item_model:"bungeon:upgrade/1"}}}
summon text_display .5 29 .5 {Tags:["tutorial_upgrade"], alignment:"center", brightness:{block:12,sky:0}, text:'{"translate":"bungeon.upgrade.1", "color":"yellow"}', billboard:"vertical"}
summon text_display .5 29.4 .5 {Tags:["tutorial_upgrade"], alignment:"center", brightness:{block:12,sky:0}, text:'{"translate":"bungeon.upgrade.des.1", "with":[{"translate":"bungeon.upgrade.des.speed","with":["10"]},{"translate":"bungeon.upgrade.des.health","with":["-5"]}]}', billboard:"vertical"}

## Shop
summon marker -2.5 15.5 10.5 {Tags:["shop_stand"]}
summon marker -2.5 15.5 7.5 {Tags:["shop_stand"]}
summon marker -2.5 15.5 4.5 {Tags:["shop_stand"]}
summon marker -2.5 15.5 3. {Tags:["reroll_stand"]}
summon minecraft:item_display 0 21 11 {Tags:["shop_darkness_down"], item:{id:"minecraft:black_stained_glass",components:{item_model:"bungeon:entity/darkness"}}, item_display:"head", transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[3f,3f,3f]}}
summon minecraft:item_display 0 22 11 {Tags:["shop_darkness_up"], item:{id:"minecraft:black_stained_glass",components:{item_model:"bungeon:entity/darkness"}}, item_display:"head", transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[3f,6f,3f]}}
#summon minecraft:item_display 0 21 -2.75 {Tags:["door_darkness"], item:{id:"minecraft:black_stained_glass",components:{item_model:"bungeon:entity/darkness"}}, item_display:"head", transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,-3f,1.75f],scale:[3f,3f,3.5f]}}



## Boss Arena
#summon minecraft:item_display 0.5 0 -11. {Tags:["boss_door", "clear_run"], teleport_duration:20, item:{id:"iron_ingot", components:{item_model:"bungeon:entity/door"}}, item_display:"head"}

## temp
#kill @e[tag=clear_run]
#summon text_display ~ ~1 ~ {alignment:"center", background:-1778384896, Rotation:[0f,-90f], Tags:["indicator", "golem", "clear_run"], text:'{"text":"  "}', transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[-0.04f,-0.37f,0f],scale:[3f,3f,3f]}}
#summon text_display ~ ~1 ~ {alignment:"center", background:-1778384896, Rotation:[0f,-90f], Tags:["indicator", "golem", "clear_run"], text:'{"text":"  "}', transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[-0.065f,-0.6f,0f],scale:[5f,5f,5f]}}
#summon minecraft:item_display ~ ~.7 ~ {Tags:["indicator", "golem", "clear_run"], item:{id:"minecart",components:{item_model:"bungeon:entity/golem_rock"}}}