# Raw %
$execute store result score @s bungeon.temp run function bungeon:player/run/stats/fetch/damage {name:"$(source)"}
execute if data storage bungeon:main hit.not_weapon run scoreboard players set @s bungeon.temp 100

# Add the stat changes (all this is done at the same time to not multiply twice)
$function bungeon:run/hitbox/modify/dare_damage {name:"$(source)"}
execute if data entity @s data.first_hit run function bungeon:run/enemy/damage/first_hit with storage bungeon:main hit
execute unless data entity @s {data:{poison_duration:0}} run function bungeon:run/enemy/damage/poison_damage with storage bungeon:main hit

# Calculate damage
$scoreboard players set #math bungeon.temp $(damage)
scoreboard players set @s[scores={bungeon.temp=..0}] bungeon.temp 0
scoreboard players operation @s bungeon.temp *= #math bungeon.temp

# Lifesteal
execute store result score #math bungeon.temp run data get entity @s data.health 1000
execute if score @s bungeon.temp > #math bungeon.temp run scoreboard players operation @s bungeon.temp = #math bungeon.temp
execute store result storage bungeon:main damage int 0.01 run scoreboard players get @s bungeon.temp
execute store result entity @s data.health double 0.001 run scoreboard players operation #math bungeon.temp -= @s bungeon.temp

$execute unless data storage bungeon:main hit.not_weapon as $(source) run function bungeon:player/get_name {path:"player/run/event/hurt_enemy/redirect"}

# Deal damage
execute store result score #math bungeon.temp run data get entity @s data.health 1000
execute if score #math bungeon.temp matches ..0 run return run function bungeon:run/enemy/damage/death with storage bungeon:main hit

# Miscelanious
execute unless data entity @s data.immune.poison run function bungeon:run/enemy/damage/poison with storage bungeon:main hit

execute store result score @s bungeon.temp run data get storage bungeon:main hit.knockback 100
execute store result score #math bungeon.temp run function bungeon:player/run/stats/fetch/knockback with storage bungeon:main
execute store result storage bungeon:main hit.knockback double 0.0001 run scoreboard players operation @s bungeon.temp *= #math bungeon.temp