execute if entity @s[scores={bungeon.iframe=1..}] run return fail

attribute @s minecraft:knockback_resistance base set 0
function bungeon:player/get_name {path:"player/run/health/hit/immunities"}
function bungeon:player/run/health/hit/source/projectile/redirect with storage bungeon:main hit

# Iframe checks
execute if entity @s[scores={bungeon.iframe=1..}] at @s run return fail
scoreboard players set @s bungeon.iframe 10
execute if data storage bungeon:data {option:{difficulty:1}} run scoreboard players set @s bungeon.iframe 5


# Apply
damage @s 1 bungeon:knockback at ~ ~ ~
playsound bungeon:entity.player.hurt master @a ~ ~ ~
function bungeon:player/run/health/bar/hurt

# Thorns and Armor
function bungeon:player/run/health/hit/source/thorns with storage bungeon:main hit
execute store result score @s bungeon.temp run data get storage bungeon:main hit.damage
execute store result score #math2 bungeon.temp run function bungeon:player/run/stats/fetch/armor with storage bungeon:main
execute if score #math2 bungeon.temp matches 81.. run scoreboard players set #math2 bungeon.temp 80

scoreboard players set #math bungeon.temp 100
scoreboard players operation #math bungeon.temp -= #math2 bungeon.temp
scoreboard players operation @s bungeon.temp *= #math bungeon.temp
scoreboard players operation @s bungeon.temp /= #100 bungeon.temp
scoreboard players operation @s bungeon.health -= @s bungeon.temp

# Fatal Grace and flawless fail
execute if entity @s[scores={bungeon.health=..0}] run function bungeon:player/run/health/hit/grace with storage bungeon:main
function bungeon:player/run/health/hit/flawless with storage bungeon:main

# Small slimes do not apply hit coins to prevent easy cheesing
execute if data storage bungeon:main hit.minor run return run function bungeon:hub/gui/reorder

# Constant coins
execute store result score #math bungeon.temp run function bungeon:player/run/stats/fetch/hit_coins with storage bungeon:main
scoreboard players operation #math bungeon.temp *= #100 bungeon.temp
scoreboard players operation @s bungeon.coins += #math bungeon.temp

# % of coins
execute store result score #math bungeon.temp run function bungeon:player/run/stats/fetch/hit_coinp with storage bungeon:main
scoreboard players operation #math bungeon.temp *= @s bungeon.coins
scoreboard players operation #math bungeon.temp /= #100 bungeon.temp
execute if score #math bungeon.temp matches 0 run scoreboard players set #math bungeon.temp 1
scoreboard players operation @s bungeon.coins += #math bungeon.temp

function bungeon:hub/gui/reorder